Subject: Re:Favorite public gardens

From: [email-masked] (Kenneth Johnson)
Date: Mon, 3 Apr 1995 17:54:35 GMT

The St. Louis Botanical (Botanic?) Garden is very nice.   Excellent Japanese 
Garden, the herb garden is in the back of a Victorian house that you can tour. 
There is also a pretty nice maze.  They are developing a set of demonstrations 
gardens for the home gardener.